Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Class DeliveryReportLevelEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.domino.DeliveryReportLevelEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class DeliveryReportLevelEnum
extends CollabEnum
implements java.io.Serializable

An enumeration of the memo delivery report levels. The enumeration class that contains `DeliveryReportLevel` elements.

See Also:
  Serialized Form

Field Summary
`static DeliveryReportLevel` | `CONFIRM` The confirm delivery report level.
`static DeliveryReportLevel` | `FAILURE` The failure delivery report level.
`static DeliveryReportLevel` | `NONE` The none delivery report level.
`static int` | `NUM_ELEMENTS`
`static DeliveryReportLevel` | `TRACE` The trace delivery report level.
`static int` | `VALUE_CONFIRM`
`static int` | `VALUE_FAILURE`
`static int` | `VALUE_NONE`
`static int` | `VALUE_TRACE`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `DeliveryReportLevelEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `DeliveryReportLevelEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_FAILURE

    public static final int VALUE_FAILURE

### VALUE_CONFIRM

    public static final int VALUE_CONFIRM

### VALUE_TRACE

    public static final int VALUE_TRACE

### VALUE_NONE

    public static final int VALUE_NONE

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### FAILURE

    public static final DeliveryReportLevel FAILURE

  The failure delivery report level.

### CONFIRM

    public static final DeliveryReportLevel CONFIRM

  The confirm delivery report level.

### TRACE

    public static final DeliveryReportLevel TRACE

  The trace delivery report level.

### NONE

    public static final DeliveryReportLevel NONE

  The none delivery report level.

Constructor Detail

### DeliveryReportLevelEnum

    protected DeliveryReportLevelEnum(java.lang.Class elementClass,
                                      int iNumElements,
                                      com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                      EnumElement defaultElement,
                                      java.lang.String sInternalName,
                                      boolean bMaskable)

  Constructor.

### DeliveryReportLevelEnum

    protected DeliveryReportLevelEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.